(* command line arguments *)
(* solyga@gmx.de, 2024-12-05 *)
IMPLEMENTATION MODULE Args;

IMPORT Lib, Str;

PROCEDURE Read();
BEGIN
  INC( idx );
  IF idx > cnt THEN
    str[0] := 0C;
    len := 0;
    sym := symEOA;
    RETURN;
  END;
  Lib.ParamStr( str, idx );
  len := Str.Length( str );
  IF ( ( str[0] = '-' ) OR ( str[0] = '/' ) ) & ( len > 1 ) THEN
    Str.Delete( str, 0, 1 );
    DEC( len );
    sym := symOpt;
  ELSE
    sym := symArg;
  END;
END Read;

PROCEDURE Reset();
BEGIN
  cnt := Lib.ParamCount();
  idx := 0;
  sym := symNull;
  Lib.ParamStr( str, idx );
  len := Str.Length( str );
END Reset;

BEGIN
  Reset();
END Args.
